import { Base } from './base.model';

export class Record extends Base {
    code?: string;
    value1?: number;
    value2?: number;
    value3?: number;
    value4?: number;
    value5?: number;
    value6?: number;
    value7?: number;
    value8?: number;
    value9?: number;
    value10?: number;
    value11?: number;
    value12?: number;
    value13?: number;
    value14?: number;
    value15?: number;
    value16?: number;
    value17?: number;
    value18?: number;
    value19?: number;
    value20?: number;
    value21?: number;
    value22?: number;
    value23?: number;
    value24?: number;
    value25?: number;
    value26?: number;
    value27?: number;
    value28?: number;
    value29?: number;
    value30?: number;
    value31?: number;
    value32?: number;
    desc1?: string;

    constructor(data: Partial<Record> = {}) {
        super();
        Object.assign(this, data);
    }

    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    override deserialize(input: any): this {
        Object.assign(this, Object.assign(this, super.deserialize(input)));
        return this;
    }
}
